/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.filters-top {
    width: 100%;
    padding: rem(24) rem(40);
    border-bottom: 1px solid var(--border-color);
    box-shadow: 0px 32px 32px 0px #0000003D;

    @media (max-width: 1350px) {
        padding-left: rem(30);
        padding-right: rem(20);
    }

    &-left {
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        gap: rem(20);

        a {
            margin-right: rem(8);

            &:last-child {
                margin-right: 0;
            }
        }

        .filters-top-totals {
            margin: 0;
        }
    }

    &-totals {
        margin-left: rem(19);
        font-size: rem(14);
        line-height: rem(16);
        color: var(--color-default-1);

        b {
            color: var(--white);
        }
    }

    &-right {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        position: relative;
        padding-right: rem(220);

        @media (max-width: 1350px) {
            justify-content: flex-start;
            // margin-top: rem(20);
        }

        .search-wrapper {
            position: relative;

            .icon-search {
                font-size: rem(16);
                height: rem(16);
                width: rem(16);
                position: absolute;
                top: 0;
                bottom: 0;
                left: rem(16);
                margin: auto;
            }

            input {
                padding-left: 40px;
            }

        }
    }

    &-button {
        padding: rem(11);
        border-radius: rem(35);
        background-color: transparent;
        color: var(--color-default-1);
        display: flex;
        align-items: center;
        font-size: rem(14);
        font-weight: 600;
        margin: 0 rem(8);
        border: 1px solid #857FE433;
        cursor: pointer;
        transition: all 0.3s ease;

        .icon-filter {
            width: rem(24);
            height: rem(24);
            display: inline-block;
            vertical-align: middle;
            line-height: rem(24);
            font-size: rem(14);
            text-align: center;
            // background: var(--recent-grey-title);
            margin-right: rem(8);
        }

        &:hover {
            border-color: var(--color-default-2);
            color: var(--white);
        }

        &.active {
            border-color: var(--color-default-2);
            color: var(--white);
            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        }
    }

    &-variant {
        display: flex;
        align-items: center;

        // .search-wrapper{
        //     position: relative;

        //     &::before{
        //         content: "+";
        //         font-size: rem(16);
        //         color: var(--recent-grey-title);
        //         position: absolute;
        //         top: rem(12);
        //         left: rem(16);
        //     }
        // }

        .search-wrapper {
            position: relative;

            .icon-search {
                font-size: rem(16);
                height: rem(16);
                width: rem(16);
                color: var(--recent-grey-title);
                position: absolute;
                top: 0;
                bottom: 0;
                left: rem(16);
                margin: auto;
            }

            input {
                padding-left: 40px;
            }

        }

        input {
            width: calc(150px - 56px);
        }

        .filters-top-button {
            border-radius: 100%;
            margin: 0 0 0 rem(4);

            i {
                margin-right: 0;
            }
        }
    }

    &.special {
        padding-top: rem(40);
        border-top: 1px solid var(--border-gray);
        border-bottom: 1px solid var(--border-gray);

        .filters-top-left {
            gap: rem(8);
        }

        .filters-top-totals {
            width: 30%;
            margin-left: rem(8);
        }

    }

}

.filters-wrapper {
    width: 100%;
    // gap: rem(24);
    // flex-wrap: wrap;
    padding-top: rem(40);

    &-header{
        display: flex;
        align-items: center;
        position: relative;
        margin-bottom: rem(40);

        i{
            font-size: rem(14);
            color: var(--color-default-2);
        }

        span{
            font-size: rem(14);
            line-height: rem(19);
            color: var(--color-default-1);
            margin-left: rem(8);
        }

        &::before{
            content: "";
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            right: 0;
            width: calc(100% - 100px);
            height: 1px;
            background: rgba(171, 167, 238, 0.1)
        }
    }

    &-body{
        display: flex;
        flex-wrap: wrap;
        gap: rem(24);
    }

    .modal-box {
        width: calc(33.333% - rem(16));
        position: relative;
        flex-wrap: wrap;
        flex-direction: row;
        border-radius: rem(24);
        padding: rem(16);
        border-color: rgba($color: #857FE4, $alpha: 0.40);

        label{
            left: 0;
            top: rem(10);
        }

        input[type=text] {
            box-sizing: border-box;
            border: 0;
            min-width: 100%;
            background-color: transparent;
            padding-left: 0 !important;
            padding-right: 0 !important;

            &:hover,
            &:focus,
            &:active,
            &:focus-visible,
            &:focus-within {
                background: transparent;
                box-shadow: none;
            }

        }

        .search-wrapper{

            input {
                border: 1px solid rgba(133, 127, 228, 0.2);
                
                &:focus{
                    border-color: var(--color-default-2);
                    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                    box-shadow: 0px 8px 16px 0px rgba(112, 144, 176, 0.1215686275);
                    padding-left: 2.5rem !important;
                    padding-right: rem(16) !important;
                }
            }
        }

        button {

            font-size: rem(13);
            font-family: $font;
            font-weight: 400;
            border: rem(1) solid rgba($color: #857FE4, $alpha: 0.20) !important;
            padding: rem(8) rem(16);
            display: flex;
            gap: rem(8);
            align-items: center;
            border-radius: rem(40);
            color: var(--color-default-1);
            background: transparent !important;
            max-width: max-content;
            height: max-content;
            box-shadow: 0;
            position: relative;
            z-index: 2;

            padding-left: rem(38);
            text-align: left;


            &::before {
                content: '';
                cursor: pointer;
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                border: rem(1) solid var(--color-default-1);
                position: relative;
                width: rem(10);
                height: rem(10);
                border-radius: rem(10);
                display: inline-block;
                position: absolute;
                top: 0;
                bottom: 0;
                left: rem(16);
                margin: auto;
            }

            &.active,
            &:hover,
            &:focus {

                border-color: var(--color-default-1) !important;

                &::before {
                    background-color: var(--color-default-1);
                }

            }

        }

    }

    .submit-filters {
        width: rem(550);
        max-width: 100%;
        margin: 0 auto;
        height: rem(48);
        line-height: rem(50);
        border-radius: rem(50);
        border: 0;
        padding: 0;
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.6) 0%, rgba(133, 127, 228, 0.6) 100%);
        border: rem(1) solid #857FE4;
        box-shadow: rem(0) rem(8) rem(16) rgba(112, 144, 176, 0.12);
        color: var(--white);
        font-size: rem(14);

    }

    &-footer{
        width: 100%;
        margin-top: rem(40);
        display: flex;

        .footer-buttons{
            display: flex;
            align-items: center;
            gap: rem(8);

            .icon-close{
                font-size: rem(13);
            }
        }
    }

}